ここから本文です

国土交通省が提供する複数のソフトウェアに任意コード実行の脆弱性(JVN)

7/5(水) 8:00配信

ScanNetSecurity

独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は7月4日、国土交通省国土技術政策総合研究所が提供する複数のソフトウェアのインストーラに、DLL読み込みに関する脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。CVSS v3によるBase Scoreは7.8。橘総合研究所の英利雅美氏が報告を行った。

「道路工事完成図等チェックプログラム Ver3.1(cdrw_checker_3.1.0.lzh)およびそれ以前」「道路施設基本データ作成システム Ver1.0.2 およびそれ以前」のインストーラには、DLLを読み込む際の検索パスに問題があり、同一ディレクトリに存在する特定のDLLを読み込んでしまう脆弱性(CVE-2017-2230、CVE-2017-2229)が存在する。この脆弱性により、インストーラを実行している権限で任意のコードを実行される可能性がある。JVNでは、開発者が提供する情報をもとに最新のインストールを使用するよう呼びかけている。

(吉澤 亨史)

最終更新:7/5(水) 8:00
ScanNetSecurity